#!/bin/bash
#set -x
logger -s "$0 - $1 - $2"
TARGET=$( mount | grep -m 1 " /media/" | cut -f 3 -d " ")
if [ "$TARGET" != "" ] && [ -d $TARGET ] && [ "$1" != "" ] && [ -d "$1" ]; then
   TD=$(dirname "$1")
   mkdir -p "${TARGET}$TD"
   logger -s "Kopiere $1 nach $TARGET ..."
   echo "svdrpsend.pl MESG \"Film wirde nach ${TARGET}$TD kopiert ...\"" > /tmp/~cp2usb.sh
   echo "cp -rvf \"$1\" \"${TARGET}$TD/\"" >> /tmp/~cp2usb.sh
   echo "svdrpsend.pl MESG \"Film wurde nach ${TARGET}$TD kopiert\"" >> /tmp/~cp2usb.sh
   screen -dm sh -c "sh /tmp/~cp2usb.sh"
else
   logger -s "$0: Illegal parameter <$1> or no usb drive found"   
fi
