#!/bin/sh
#set -x
if [ "$(grep " \[logger\] .* \[core\." /log/everything/* |wc -l)" != "0" ] || [ "$(grep "/etc/vdr/plugins.*SoftCam.Key" /log/everything/* |wc -l)" != "0" ] ; then
   logger -s "SC Logging entdeckt - System wird nicht \"supported\""
   svdrpsend.pl HITK BACK
   svdrpsend.pl HITK BACK
   svdrpsend.pl HITK BACK
   svdrpsend.pl MESG "SC Logging entdeckt - System wird nicht \"supported\""
   exit 
fi   

rm -rf /tmp/logs > /dev/null 2>&1
mkdir /tmp/logs
cd /tmp/logs
dmesg > dmesg.out 2>&1
lsmod > lsmod.out 2>&1
lsusb > lsusb.out 2>&1
lspci > lspci.out 2>&1
ps -x > psx.out 2>&1
biosinfo > qmb.out 2>&1
/_config/bin/query_mb.sh >> qmb.out 2>&1
uname -a > uname.out 2>&1
/_config/bin/detect_modules.sh > det_mod.out 2>&1
ls -l /tmp/ > lltmp.out 2>&1
cp /film/*.log .
cp /install.log .
cp /_config/update/update.log .
cp /etc/vdr.d/conf/vdr .
cp /etc/X11/xorg.conf .
cp /etc/vdr/plugins/admin/admin.conf .
cp -r /log/freevo .
cp /log/X* .

for i in /var/log/everything/* ; do cp $i ./$(echo $i|sed -e "s/.*\///"| tr -d ":")  ; done
DT=$(date +%m%d%H%M)
LOG_ARCH="/tmp/g2v_log_$DT.7z"
7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=32m -ms=on $LOG_ARCH .
#rm -rf /tmp/logs
TARGET=$( mount | grep -m 1 " /media/" | cut -f 3 -d " ")
if [ "$TARGET" != "" ] && [ -d $TARGET ] ; then
   cp -f $LOG_ARCH $TARGET/
   sleep 3
   umount $TARGET
   svdrpsend.pl MESG "$LOG_ARCH wurde nach $TARGET kopiert"
   logger -s "$LOG_ARCH wurde nach $TARGET kopiert"
else   
   svdrpsend.pl MESG "$LOG_ARCH wurde erstellt"
   logger -s "$LOG_ARCH wurde erstellt"
fi   
