#!/bin/sh
#set -x

CHANGED=0

if [ "$(readlink /usr/local/src/VDR |grep "vdr-1.6")" != "" ] ; then
   # Undo vdr-patch from update 22 
   cd /usr/local/src/VDR/
   if [ "$(patch -f --dry-run vdr.c < /_config/update/patches/up22.vdr-1.6.0-watchdog.diff | grep FAILED)" = "" ] ; then
      patch -f vdr.c < /_config/update/patches/up22.vdr-1.6.0-watchdog.diff   
      CHANGED=1
   fi
   # VDR patch 1.6.0.2
   if [ "$(patch -f -p 1 --dry-run < /_config/update/patches/up25.vdr-1.6.0-2.diff | grep FAILED)" = "" ] ; then
      patch -f -p 1 < /_config/update/patches/up25.vdr-1.6.0-2.diff 
      #rename to vdr-1.6.0.2
      cd /usr/local/src/      
      mv "$(readlink VDR)" vdr-1.6.0.2
      rm VDR
      ln -s vdr-1.6.0.2 VDR
      CHANGED=1
   fi
   if [ "$CHANGED" = "1" ] ; then
      cd /usr/local/src/VDR/
      make all
      sh /_config/bin/instvdr.sh
   fi
fi   

#em84 Watchdog enable
sed -i /etc/vdr.d/plugins/em84xx -e "/^if /d" -e "/^fi\$/d" -e "s/.*WATCHDOG.*/WATCHDOG=0/"
