#!/bin/bash
#set -x
function log() {
   logger "$*"
   echo "$*"
}
      
source /etc/vdr.d/conf/gen2vdr.cfg

if [ ! -s "${1%/}/index.vdr" ] ; then
   log "ERROR: <${1%/}/index.vdr> nicht vorhanden"
   exit
fi
      
[ -e ${VIDEO}/rec_marked ] && rm ${VIDEO}/rec_marked

# determine if is recording
newest_file="$(ls -t "$1/" | head -n 1)"
fdate="$(stat -c %Y "${1}/${newest_file}")"
act_date="$(date +%s)"

if [ $(($act_date - 10)) -ge $fdate ] ; then
   ln -s "$1" ${VIDEO}/rec_marked
   log "Bereit zum Zusammenfuegen: $1"
else
   log "ERROR: <$1> wird derzeit benutzt"
fi   
